

"DropPhrase" =	"Drop stacks here.<br><i class='stacks-fa stacks-fa-arrow-circle-down'></i>";
"DropImage" =   "Drop an image here.<br><i class='stacks-fa stacks-fa-image'></i>";


/* decodeStacksWithUnarchiver */
"decode: nil settings" =                "An error occurred while decoding the RapidWeaver file.\nDetail: nil settings (stacks:decodeStacksWithUnarchiver).";
"decode: nil root" =                    "An error occurred while decoding the RapidWeaver file.\nDetail: nil root (stacks:decodeStacksWithUnarchiver).";


/* unarchiveStacksWithData */
"unarchive: nil data" =                 "An error occurred while unarchiving the RapidWeaver file.\nDetail: nil data (stacks:unarchiveStacksWithData).";
"unarchive: nil sandwich" =             "An error occurred while unarchiving the RapidWeaver file.\nDetail: nil sandwich (stacks:unarchiveStacksWithData).";


/* refreeze */
"refreeze: temp create failed" =        "An error occurred while making a temporary copy of the RapidWeaver file.\nDetail: could not create temporary directory in which to freeze the sandwich (stacks:refreeze).";
"refreeze: freeze failed" =             "An error occurred while making a temporary copy of the RapidWeaver file.\nDetail: sandwich could not be frozen: %@ (stacks:refreeze)";
"refreeze: thaw failed" =               "An error occurred while making a temporary copy of the RapidWeaver file.\nDetail: sandwich could not be thawed: %@ (stacks:refreeze)";


/* initWithSandwich */
"init: refreeze failed" =               "An error occurred while opening the RapidWeaver file.\nDetail: refreeze failed (stacks:initWithSandwich).";
"init: old version" =                   "You are opening this file with an older version of Stacks than the one used to save this file. Some data may not be read correctly. You should close this document and update to the latest version of Stacks (stacks:initWithSandwich).";
"init: stacks 1" =                      "No sandwich dictionary found. We appear to be updating an old Stacks 1.x file (stacks:initWithSandwich).";


/* fileNameWithURL */
"filename: nil url" =                   "An error occurred while adding an image file.\nDetail: nil URL (stacks:fileNameWithURLuid).";
"filename: nil uid" =                   "An error occurred while adding an image file.\nDetail: nil uid (stacks:fileNameWithURLuid).";
"filename: empty uid" =                 "An error occurred while adding an image file.\nDetail: empty uid (stacks:fileNameWithURLuid).";
"filename: no extension" =              "The image does not seem to have an extension. This is not a problem, but it is odd. (stacks:fileNameWithURLuid).";


/* addURL:forFileName: */
"addurl:forfilename: nil url" =         "An error occurred while adding an image file.\nDetail: nil URL (stacks:addURL:forFileName).";
"addurl:forfilename: nil uid" =         "An error occurred while adding an image file.\nDetail: nil uid (stacks:addURL:forFileName).";
"addurl:forfilename: empty uid" =       "An error occurred while adding an image file.\nDetail: empty uid (stacks:addURL:forFileName).";
"addurl:forfilename: nil path" =        "An error occurred while adding an image file.\nDetail: path is nil (stacks:addURL:forFileName).";
"addurl:forfilename: empty path" =      "An error occurred while adding an image file.\nDetail: path is empty (stacks:addURL:forFileName).";
"addurl:forfilename: not readable" =    "An error occurred while adding an image file.\nDetail: attempted to add '%@', but there is no readable image at that path (stacks:addURL:forFileName).";


/* addURL:forUid: */
"addurl:foruid: nil url" =              "An error occurred while adding an image file.\nDetail: nil URL (stacks:addURL:forUid).";
"addurl:foruid: nil uid" =              "An error occurred while adding an image file.\nDetail: nil uid (stacks:addURL:forUid).";
"addurl:foruid: empty uid" =            "An error occurred while adding an image file.\nDetail: empty uid (stacks:addURL:forUid).";
"addurl:foruid: nil filename" =         "An error occurred while adding an image file.\nDetail: nil fileName (stacks:addURL:forUid).";
"addurl:foruid: empty filename" =       "An error occurred while adding an image file.\nDetail: empty fileName (stacks:addURL:forUid).";


/* addURL: */
"addurl: nil url" =                     "An error occurred while adding an image file.\nDetail: nil URL (stacks:addURL).";
"addurl: nil uuid" =                    "An error occurred while adding an image file.\nDetail: uuid is nil (stacks:addURL).";
"addurl: empty uuid" =                  "An error occurred while adding an image file.\nDetail: uuid is empty (stacks:addURL).";


/* addCustomURL: */
"addcustomurl: nil url" =               "An error occurred while adding an image file.\nDetail: attempted to add a nil URL to the sandwich (stacks:addCustomURL).";
"addcustomurl: nil filename" =          "An error occurred while adding an image file.\nDetail: nil fileName (stacks:addCustomURL).";
"addcustomurl: empty filename" =        "An error occurred while adding an image file.\nDetail: empty fileName (stacks:addCustomURL).";


/*urlForFilename */
"urlforfilename: nil filename" =        "No image could be found in the RapidWeaver file for a stack.\nDetail: nil fileName (stacks:urlForFilename).";
"urlforfilename: empty filename" =      "No image could be found in the RapidWeaver file for a stack.\nDetail: empty fileName (stacks:urlForFilename).";


/* urlForUrl */
"urlforurl: nil url" =                  "No image could be found in the RapidWeaver file for a stack.\nDetail: url with nil (stacks:urlForUrl).";
"urlforurl: nil filename" =             "No image could be found in the RapidWeaver file for a stack.\nDetail: nil fileName (stacks:urlForUrl).";
"urlforurl: empty filename" =           "No image could be found in the RapidWeaver file for a stack.\nDetail: empty fileName (stacks:urlForUrl).";


/* pruneUnusedImages */
"prune: nil files" =                    "An error occurred during image pruning.\nDetail: files dictionary is nil (stacks:pruneUnusedImages).";
"prune: no files" =                     "This page does not have any files to prune.";
"prune: nil images" =                   "An error occurred during image pruning.\nDetail: images array is nil (stacks:pruneUnusedImages).";
"prune: no image stacks" =              "Image files exist, but there are no image stacks on this page. Retaining images as a precaution. (stacks:pruneUnusedImages).";
"prune: nil filekeys" =                 "An error occurred during image pruning.\nDetail: fileKeys is nil (stacks:pruneUnusedImages).";


/* sandwich */
"sandwich: nil dictionary" =            "An error occurred while saving the RapidWeaver document.\nDetail: could not create a RapidWeaver Sandwich dictionary (stacks:sandwich).";
"sandwich: nil sandwich" =              "An error occurred while saving the RapidWeaver document.\nDetail: could not create a RapidWeaver Sandwich (stacks:sandwich).";
"sandwich: nil filling" =               "An error occurred while saving the RapidWeaver document.\nDetail: could not create filling for the RapidWeaver Sandwich (stacks:sandwich).";


/* createSandwich */
"createsandwich: nil filling" =         "An error occurred.\nDetail: could not create filling for the RapidWeaver Sandwich (stacks:createSandwich).";
"createsandwich: nil sandwich" =        "An error occurred.\nDetail: could not create a RapidWeaver Sandwich (stacks:createSandwich).";


/* checkIntegrity */
"checkIntegrity: nil root" =            "An error occurred.\nDetail: there is no data in the file for this stacks page (stacks:checkIntegrity).";
"checkIntegrity: image missing" =       "The page failed an integrity check. An image is missing.\nDetail: 1 image is missing from this page (stacks:checkIntegrity).";
"checkIntegrity: images missing" =      "The page failed an integrity check. Images are missing.\nDetail: %0d images are missing from this page (stacks:checkIntegrity).";








/* Localized versions of Info.plist keys */




"sandwich:checkintegrity: nil versions" =       "The page failed an integrity check.\nDetail: versions array is nil. (sandwich:checkIntegrity).";
"sandwich:checkintegrity: nil filling" =        "The page failed an integrity check.\nDetail: filling is nil. (sandwich:checkIntegrity).";

"filling:checkintegrity: nil dictionary" =      "The page failed an integrity check.\nDetail: sandwich dictionary is nil (filling:checkIntegrity).";
"filling:checkintegrity: nil files" =           "The page failed an integrity check.\nDetail: files dictionary is nil (filling:checkIntegrity).";
"filling:checkintegrity: delete flag" =         "The page failed an integrity check.\nDetail: DeleteFilesOnDisposal is enabled (filling:checkIntegrity).";
"filling:checkintegrity: nil filenames" =       "The page failed an integrity check.\nDetail: files dictionary has nil keys (filling:checkIntegrity).";
"filling:checkintegrity: nil path" =            "The page failed an integrity check.\nDetail: file path is nil (filling:checkIntegrity).";
"filling:checkintegrity: empty path" =          "The page failed an integrity check.\nDetail: file path is empty (filling:checkIntegrity).";
"filling:checkintegrity: file missing" =        "The page failed an integrity check.\nDetail: file %@ doesn't exist at path %@ (filling:checkIntegrity)";
"filling:checkintegrity: file not readable" =   "The page failed an integrity check.\nDetail: file %@ is not readable at path %@ (filling:checkIntegrity)";





/* init */
"init: nil url" =                       "An error occurred while creating a sandwich directory.\nDetail: nil url.";

/* init */
"initWithRMSandwich: nil url" =         "An error occurred while creating a sandwich directory.\nDetail: nil url.";
"initWithRMSandwich: old version" =     "You are opening this file with an older version of Stacks than the one used to save this file. Some data may not be read correctly. You should close this document and update to the latest version of Stacks.";


/* RMSandwichWithType */
"RMSandwichWithType: pre check" =       "The file integrity check failed. Some data may not have been saved.\nDetail: check failed.";
"RMSandwichWithType: nil destination" = "An error occurred while creating a temporary directory for saving.\nDetail: nil destination.";
"RMSandwichWithType: nil data" =        "An error occurred while creating a rapidweaver sandwich.\nDetail: nil data.";
"RMSandwichWithType: nil files" =       "An error occurred while creating a rapidweaver sandwich.\nDetail: nil files.";
"RMSandwichWithType: nil filling" =     "An error occurred while creating a rapidweaver sandwich.\nDetail: nil filling.";
"RMSandwichWithType: nil sandwich" =    "An error occurred while creating a rapidweaver sandwich.\nDetail: nil sandwich.";


/* setFile forKey */
"setFile: forKey: nil url" =            "An error occurred while adding a file to the sandwich.\nDetail: nil url.";
"setFile: forKey: nil key" =            "An error occurred while adding a file to the sandwich.\nDetail: nil key.";
"setFile: forKey: empty key" =          "An error occurred while adding a file to the sandwich.\nDetail: empty key.";
"setFile: forKey: nil destination" =    "An error occurred while adding a file to the sandwich.\nDetail: nil destination.";


/* removeFileForKey */
"removeFileForKey: nil key" =           "An error occurred while removing a file from the sandwich.\nDetail: nil key.";
"removeFileForKey: empty key" =         "An error occurred while removing a file from the sandwich.\nDetail: empty key.";


/* setSubsandwich forKey */
"setSubsandwich: forKey: nil subsandwich" = "An error occurred while adding a subsandwich to the sandwich.\nDetail: nil subsandwich.";
"setSubsandwich: forKey: nil key" =     "An error occurred while adding a subsandwich to the sandwich.\nDetail: nil key.";
"setSubsandwich: forKey: empty key" =   "An error occurred while adding a subsandwich to the sandwich.\nDetail: empty key.";


/* removeSubsandwichForKey */
"removeSubsandwichForKey: nil key" =    "An error occurred while removing a subsandwich from the sandwich.\nDetail: nil key.";
"removeSubsandwichForKey: empty key" =  "An error occurred while removing a subsandwich from the sandwich.\nDetail: empty key.";


/* addImage forKey */
"addImage: forKey: nil url" =           "An error occurred while adding an image file.\nDetail: nil URL.";
"addImage: forKey: nil key" =           "An error occurred while adding an image file.\nDetail: nil uid.";
"addImage: forKey: empty key" =         "An error occurred while adding an image file.\nDetail: empty uid.";


/* addImage */
"addImage: nil url" =                   "An error occurred while adding an image.\nDetail: nil URL.";
"addImage: nil uuid" =                  "An error occurred while adding an image.\nDetail: nil UUID.";
"addImage: empty uuid" =                "An error occurred while adding an image.\nDetail: empty UUID.";
"addImage: nil filename" =              "An error occurred while adding an image.\nDetail: nil filename.";
"addImage: empty filename" =            "An error occurred while adding an image.\nDetail: empty filename.";


/* addCustomImage */
"addCustomImage: nil url" =             "An error occurred while adding a custom image file.\nDetail: nil URL.";
"addCustomImage: nil filename" =        "An error occurred while adding a custom image file.\nDetail: nil filename.";
"addCustomImage: empty filename" =      "An error occurred while adding a custom image file.\nDetail: empty filename.";


/* urlForFilename */
"urlForFilename: nil filename" =        "An error occurred while retrieving a URL from the sandwich.\nDetail: nil filename.";
"urlForFilename: empty filename" =      "An error occurred while retrieving a URL from the sandwich.\nDetail: empty filename.";


/* urlForUrl */
"urlForUrl: nil url" =                  "An error occurred while retrieving a URL from the sandwich.\nDetail: nil URL.";
"urlForUrl: nil filename" =             "An error occurred while retrieving a URL from the sandwich.\nDetail: nil filename.";
"urlForUrl: empty filename" =           "An error occurred while retrieving a URL from the sandwich.\nDetail: empty filename.";


/* copy to withName */
"copy: to: withName: nil source" =                  "An error occurred while copying a sandwich file.\nDetail: nil source.";
"copy: to: withName: nil destinationDirectory" =    "An error occurred while copying a sandwich file.\nDetail: nil destinationDirectory.";
"copy: to: withName: nil destinationName" =         "An error occurred while copying a sandwich file.\nDetail: nil destinationName.";
"copy: to: withName: no source" =                   "An error occurred while copying a sandwich file.\nDetail: no file at source URL.";
"copy: to: withName: nil destination" =             "An error occurred while copying a sandwich file.\nDetail: nil destination.";
"copy: to: withName: copy identical url" =          "The source and the destination are identical.\nDetail: identical source and destination.";


/* pruneUnusedImages */
"prune: pre check" =                                "Sandwich integrity check failed before pruning.\nDetail: integrity check failed.";
"prune: nil files" =                                "An error occurred while pruning unused images.\nDetail: nil files.";
"prune: nil fileKeys" =                             "An error occurred while pruning unused images.\nDetail: nil fileKeys.";
"prune: no fileKeys" =                              "An error occurred while pruning unused images.\nDetail: no fileKeys.";
"prune: nil topNode" =                              "An error occurred while pruning unused images.\nDetail: nil topNode.";
"prune: nil images" =                               "An error occurred while pruning unused images.\nDetail: nil images.";
"prune: no image stacks" =                          "An error occurred while pruning unused images.\nDetail: no image stacks.";
"prune: pre check" =                                "Sandwich integrity check failed after pruning.\nDetail: integrity check failed.";


/* checkIntegrity */
"checkIntegrity: nil url" =                         "A problem was found while testing the integrity of the sandwich file.\nDetail: nil url.";
"checkIntegrity: nil files" =                       "A problem was found while testing the integrity of the sandwich file.\nDetail: nil files.";
"checkIntegrity: nil subsandwiches" =               "A problem was found while testing the integrity of the sandwich file.\nDetail: nil subsandwiches.";
"checkIntegrity: nil topNode" =                     "A problem was found while testing the integrity of the sandwich file.\nDetail: nil topNode.";
"checkIntegrity: image missing" =                   "A problem was found while testing the integrity of the sandwich file.\nDetail: image missing.";
"checkIntegrity: images missing" =                  "A problem was found while testing the integrity of the sandwich file.\nDetail: %0d images missing.";
"checkIntegrity: image file missing" =              "A problem was found while testing the integrity of the sandwich file.\nDetail: image file missing.";
"checkIntegrity: image files missing" =             "A problem was found while testing the integrity of the sandwich file.\nDetail: %0d image files missing.";




